package org.processmining.plugins.plg.generator.log;

import java.text.SimpleDateFormat;
import java.util.Date;


/**
 * Configuration of a collection of logs generator
 * 
 * @author Andrea Burattin
 */
public class PLGLogCollectionGeneratorConfiguration {

	private Date creationDate;
	private String collectionName;
	private PLGLogGeneratorConfiguration singleLog;
	private int logNo;
	
	
	public PLGLogCollectionGeneratorConfiguration(String name, PLGLogGeneratorConfiguration singleLog, int logNo) {
		setName(name);
		setSingleLog(singleLog);
		setLogNo(logNo);
		creationDate = new Date();
	}
	
	
	public Date getCreationDate() {
		return creationDate;
	}

	
	public String getName() {
		if (this.collectionName.length() > 0) {
			return this.collectionName;
		} else {
			return "Process Log Colletion" + new SimpleDateFormat("yyyy/MM/dd HH:mm:ss").format(new Date());
		}
	}
	
	
	public void setName(String collectionName) {
		this.collectionName = collectionName.trim();
	}
	
	
	public PLGLogGeneratorConfiguration getSingleLog() {
		return singleLog;
	}
	
	
	public void setSingleLog(PLGLogGeneratorConfiguration singleLog) {
		this.singleLog = singleLog;
	}
	
	
	public int getLogNo() {
		return logNo;
	}
	
	
	public void setLogNo(int logNo) {
		if (logNo < 1) {
			logNo = 1;
		}
		this.logNo = logNo;
	}
}
