package org.processmining.plugins.plg.gui;

import javax.swing.JComponent;

import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.models.jgraph.ProMJGraphVisualizer;
import org.processmining.plugins.plg.models.PlgProcess;

/**
 * This class contains the process model viewer
 * 
 * @author Andrea Burattin
 */
@Plugin(
	name = "Process model visualization", 
	returnLabels = { "Visualized model" }, 
	returnTypes = { JComponent.class }, 
	parameterLabels = { "Process models" }, 
	userAccessible = true
)
@Visualizer
public class ProcessViewer {
	
	@PluginVariant(
		requiredParameterLabels = {0}
	)
	public static JComponent visualize(UIPluginContext context, PlgProcess process) {
		return ProMJGraphVisualizer.instance().visualizeGraphWithoutRememberingLayout(
				process.getProcess().getBPMNDiagram());
	}
}
