package org.processmining.plugins.plg.models;

import org.deckfour.xes.model.XLog;

/**
 * This class wraps a log
 * 
 * @author Andrea Burattin
 */
public class PLGLog {

	private XLog log;
	private String id;
	static int globalId = 0;
	
	
	/**
	 * Constructor to set the real log, the name is uniquely generated
	 * 
	 * @param log the real log
	 */
	public PLGLog(XLog log) {
		this.log = log;
		this.id = "Log " + globalId++;
	}
	
	
	/**
	 * Constructor to set both the name and the real log
	 * 
	 * @param log the real log
	 * @param id the name of the log
	 */
	public PLGLog(XLog log, String id) {
		this.log = log;
		this.id = id;
	}
	
	
	/**
	 * Get the real log object
	 * 
	 * @return log object
	 */
	public XLog getLog() {
		return log;
	}
	
	
	/**
	 * Get the ID of the current log
	 * 
	 * @return the current ID
	 */
	public String getId() {
		return id;
	}
	
	
	@Override
	public String toString() {
		return getId();
	}
	
}
