package org.processmining.plugins.plg.models;


import org.processmining.framework.annotations.AuthoredType;
import org.processmining.plugins.plg.config.BasicPluginConfiguration;
import org.processmining.plugins.plg.logic.models.Process;

/**
 * This class describes a single process
 * 
 * @author Andrea Burattin
 */
@AuthoredType(
	typeName = "PLG Process",
	affiliation = BasicPluginConfiguration.AFFILIATION,
	author = BasicPluginConfiguration.AUTHOR,
	email = BasicPluginConfiguration.EMAIL
)
public class PlgProcess {

	private Process process = null;
	private String name = null;

	/**
	 * @param process
	 */
	public void setProcess(Process process) {
		this.process = process;
	}

	/**
	 * @return
	 */
	public Process getProcess() {
		return process;
	}

	/**
	 * @param name
	 *            the name to set
	 */
	public void setName(String name) {
		process.setName(name);
		this.name = name;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	@Override
	public String toString() {
		return getName();
	}
}
